update LAExpression SET VALUE="528,540" where EXP_ID=13;

insert into SystemConfigurations values ('regenerateSQL','true');

insert into MetaTable(TABLE_NAME,START_TIME,END_TIME,START_INDEX,END_INDEX,LOOKUP_TABLENAME,STATUS) values('Comp_EventLog',now(),-1,0,-1,'Comp_EventLog','DEFAULT');

alter table EventLog_Hr_Trend drop PRIMARY KEY, drop INDEX EventLog_Hr_Trend_FK_IDX, drop FOREIGN KEY EventLog_Hr_Trend_FK;
alter table SysLog_Hr_Trend drop PRIMARY KEY, drop INDEX SysLog_Hr_Trend_FK_IDX, drop FOREIGN KEY SysLog_Hr_Trend_FK; 
alter table Log_Hr_Trend drop PRIMARY KEY, drop INDEX Log_Hr_Trend_FK_IDX, drop FOREIGN KEY Log_Hr_Trend_FK;
alter table EventLog_Hr_Trend add ELCID bigint(19) NOT NULL auto_increment first, add PRIMARY KEY(ELCID), add INDEX EventLog_Hr_Trend_CIDX1(HOUROFDAY), add INDEX EventLog_Hr_Trend_CIDX2(HOUR), add INDEX EventLog_Hr_Trend_CIDX3(HOSTID), add INDEX EventLog_Hr_Trend_CIDX4(SOURCE), add INDEX EventLog_Hr_Trend_CIDX5(EVENTID), add INDEX EventLog_Hr_Trend_CIDX6(TYPE);
alter table SysLog_Hr_Trend add SLCID bigint(19) NOT NULL auto_increment first, add PRIMARY KEY(SLCID), add INDEX SysLog_Hr_Trend_CIDX1(HOUROFDAY), add INDEX SysLog_Hr_Trend_CIDX2(HOUR), add INDEX SysLog_Hr_Trend_CIDX3(HOSTID), add INDEX SysLog_Hr_Trend_CIDX4(SOURCE), add INDEX SysLog_Hr_Trend_CIDX5(TYPE);
alter table Log_Hr_Trend add LCID bigint(19) NOT NULL auto_increment first, add PRIMARY KEY(LCID), add INDEX Log_Hr_Trend_CIDX1(HOUR), add INDEX Log_Hr_Trend_CIDX2(HOSTID), add INDEX Log_Hr_Trend_CIDX3(SOURCE), add INDEX Log_Hr_Trend_CIDX4(TYPE);

alter table Comp_Eventlog drop FOREIGN KEY Comp_EventLog_FK, drop INDEX Comp_EventLog_IDX0, add INDEX Comp_EventLog_CIDX1(HOST_ID), add INDEX Comp_EventLog_CIDX2(TIMESTAMP), add INDEX Comp_EventLog_CIDX3(EVENTID);
alter table Comp_EventLog add CLIENT varchar(50) default '' after DOMAIN;

alter table AlertAudit_Hr_Trend add AACID bigint(19) NOT NULL auto_increment first, add PRIMARY KEY(AACID), add INDEX AlertAudit_Hr_Trend_CIDX1(HOUROFDAY), add INDEX AlertAudit_Hr_Trend_CIDX2(HOUR), add INDEX AlertAudit_Hr_Trend_CIDX3(NF_ID), add INDEX AlertAudit_Hr_Trend_CIDX4(SOURCE);

drop table ImportantEvents;

CREATE TABLE IF NOT EXISTS `ImportantEvents` ( `LCID` bigint(19) NOT NULL auto_increment, `HOUROFDAY` int(10) NOT NULL default '0', `HOUR` datetime NOT NULL default '0', `HOSTID` bigint(19) NOT NULL default '0', `IE_NAME` varchar(100) NOT NULL default '', `USER_NAME` varchar(100) NOT NULL default '', `EVENT_CNT` bigint(19) NOT NULL default '0', PRIMARY KEY  (`LCID`), KEY `ImportantEvents_CIDX1` (`HOUR`), KEY `ImportantEvents_CIDX2` (`HOSTID`), KEY `ImportantEvents_CIDX3` (`HOUROFDAY`), KEY `ImportantEvents_CIDX4` (`IE_NAME`), KEY `ImportantEvents_CIDX5` (`USER_NAME`)) TYPE=InnoDB;

CREATE TABLE IF NOT EXISTS `Comp_EventLog_Hr_Trend` ( `ELCID` bigint(19) NOT NULL auto_increment, `HOUROFDAY` int(10) NOT NULL default '0', `HOUR` datetime NOT NULL default '0', `HOSTID` bigint(19) NOT NULL default '0', `EVENTID` int(10) NOT NULL default '0', `USER_NAME` varchar(100) NOT NULL default '', `DOMAIN` varchar(100) NOT NULL default '', `CLIENT` varchar(100) NOT NULL default '', `SOURCE` varchar(100) NOT NULL default '', `EVT_CNT` bigint(19) NOT NULL default '0', PRIMARY KEY  (`ELCID`), KEY `Comp_EventLog_Hr_Trend_CIDX1` (`HOSTID`), KEY `Comp_EventLog_Hr_Trend_CIDX2` (`HOUROFDAY`), KEY `Comp_EventLog_Hr_Trend_CIDX3` (`HOUR`), KEY `Comp_EventLog_Hr_Trend_CIDX4` (`EVENTID`), KEY `Comp_EventLog_Hr_Trend_CIDX5` (`USER_NAME`) ) TYPE=InnoDB;

CREATE TABLE IF NOT EXISTS `ErringHosts` (`HOST_ID` bigint(19) NOT NULL default '0', `ID` bigint(19) NOT NULL auto_increment,PRIMARY KEY  (`ID`)) TYPE=InnoDB;

update ReportBuildingBlockGroup set RBBGNAME="DNS Server" where RBBGNAME="DNS";
update ReportBuildingBlockGroup set RBBGNAME="File Replication Service" where RBBGNAME="FileReplication";
update ReportBuildingBlockGroup set RBBGNAME="Directory Service" where RBBGNAME="DirectoryService";

CREATE TABLE `ReportBuildingBlock_Temp` ( `RBBNAME` varchar(250) NOT NULL default '', `SQLSTRING` text NOT NULL, `RBBGID` bigint(19) NOT NULL default '0', `DISPLAYTYPE` varchar(250) NOT NULL default 'BOTH', `HANDLER` varchar(250) default NULL, `TITLE` text, `DESCRIPTION` text, `JASPERNAME` varchar(250) default NULL, `ORDERID` bigint(19) default NULL, `SQLTYPE` int(10) NOT NULL default '0', `RBBGNAME` VARCHAR(250) default NULL, PRIMARY KEY  (`RBBNAME`), UNIQUE KEY `ReportBuildingBlock_Temp_UK0` (`ORDERID`), KEY `ReportBuildingBlock_Temp_FK1_IDX` (`RBBGID`)) TYPE=InnoDB;

LOAD DATA infile 'ReportBuildingBlock_Temp.log' into table ReportBuildingBlock_Temp;

create table ReportBuildingBlock_4010 like ReportBuildingBlock;

 INSERT INTO ReportBuildingBlock_4010 select RBBNAME,SQLSTRING,rbbg.RBBGID,DISPLAYTYPE,HANDLER,rbbt.TITLE,rbbt.DESCRIPTION,JASPERNAME,ORDERID,SQLTYPE FROM ReportBuildingBlock_Temp rbbt, ReportBuildingBlockGroup rbbg WHERE rbbt.RBBGNAME=rbbg.RBBGNAME;

 RENAME table ReportBuildingBlock To ReportBuildingBlock_4002;

 RENAME table ReportBuildingBlock_4010 TO ReportBuildingBlock;

 alter table ReportBuildingBlock add FOREIGN KEY ReportBuildingBlock_FK1  (`RBBGID`) REFERENCES `ReportBuildingBlockGroup` (`RBBGID`) ON DELETE CASCADE;

 delete from ReportConfigToRBBMapping where RBBNAME not in (select RBBNAME from ReportBuildingBlock);

 delete from RBBGraphOptions where RBBNAME not in (select RBBNAME from ReportBuildingBlock);

 alter table ReportBuildingBlockParams drop FOREIGN KEY ReportBuildingBlockParams_FK1;
 alter table RBBGraphOptions drop FOREIGN KEY RBBGraphOptions_FK1, drop FOREIGN KEY RBBGraphOptions_FK2;
 alter table ReportBuildingBlockColumn drop FOREIGN KEY ReportBuildingBlockColumn_FK;
 alter table ReportConfigToRBBMapping drop FOREIGN KEY ReportConfigToRBB_FK2;

 alter table ReportBuildingBlockParams add FOREIGN KEY ReportBuildingBlockParams_FK1 (`RBBNAME`) REFERENCES `ReportBuildingBlock` (`RBBNAME`) ON DELETE CASCADE;
 alter table RBBGraphOptions add FOREIGN KEY RBBGraphOptions_FK1 (`RBBNAME`) REFERENCES `ReportBuildingBlock` (`RBBNAME`) ON DELETE CASCADE, add FOREIGN KEY RBBGraphOptions_FK2 (`LINKINGRBBNAME`) REFERENCES `ReportBuildingBlock` (`RBBNAME`) ON DELETE CASCADE;
 alter table ReportBuildingBlockColumn add FOREIGN KEY ReportBuildingBlockColumn_FK (`RBBNAME`) REFERENCES `ReportBuildingBlock` (`RBBNAME`) ON DELETE CASCADE;
 alter table ReportConfigToRBBMapping add FOREIGN KEY ReportConfigToRBB_FK2 (`RBBNAME`) REFERENCES `ReportBuildingBlock` (`RBBNAME`) ON DELETE CASCADE;

 drop table ReportBuildingBlock_Temp;

 delete from ReportBuildingBlockParams ;
 insert into ReportBuildingBlockParams values(1,"AllHostDetails","select distinct(HOSTID) as loghost from Log_Hr_Trend");
insert into ReportBuildingBlockParams values(2,"NodataHostDetails","select distinct(HOSTID) as eventhost from Log_Hr_Trend");
 insert into ReportBuildingBlockParams values(3,"Severity_TableData","select ID from HostGroup where NAME='${value}'");
	 
 delete from TableDetails where TABLE_NAME="EventLog";

 delete from TableDetails where TABLE_NAME="SysLog";

 delete from TableDetails where TABLE_NAME="Comp_EventLog";

 delete from TableDetails where TABLE_NAME="EventLog_Hr_Trend";

 delete from TableDetails where TABLE_NAME="SysLog_Hr_Trend";

 delete from TableDetails where TABLE_NAME="Log_Hr_Trend";

 delete from TableDetails where TABLE_NAME="ImportantEvents";

 delete from TableDetails where TABLE_NAME="AlertAudit_Hr_Trend";
